<?PHP
/**
 * Represents an error category.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Represents an error category.
 */
enum MDErrorCategory implements JsonSerializable {

    case unknown;
    case critical;
    case known;

    /**
     * Provides the option to serialize as a string during json_encode().
     *
     * @return string
     */
    public function jsonSerialize():string {

        return $this->name;

    }
}
